package com.bokecc.livemodule.live;

import com.bokecc.sdk.mobile.live.DWLive;

/**
 * 直播简介面板回调监听
 */
public interface DWLiveIntroListener {

    /**
     * 未开课或者已下课
     *
     * @param isNormal 流是否正常结束
     */
    void onStreamEnd(boolean isNormal);

    /**
     * 开始上课：流开始
     */
    void onStreamStart();

    /**
     * 播放状态
     *
     * @param status 包括PLAYING, PREPARING共2种状态
     */
    void onLiveStatus(DWLive.PlayStatus status);

    /**
     * 展示直播间标题
     */
    void showRoomTitle(String title);

    /**
     * 展示直播间人数
     */
    void showRoomUserNum(int number);

}
